# To ensure correct image size when batch processing, please search
# for and uncomment the line `# renderView*.ViewSize = [*,*]`

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()

#--- Run in Terminal with: 'pvbatch PhaseDiagram_PlotScript.py'


# ----- CREATE A Phase Diagram for the following cases:
# 1. (Hyperbolic Case) Gamma = '0'
# 2. (Elliptic Case) Gamma = 'infinity'
#
# case = 1
# case = 2


#### RESET SESSION :
ResetSession()



## CHANGE FONT :
# find settings proxy
generalSettings = GetSettingsProxy('GeneralSettings')

# Properties modified on generalSettings
generalSettings.OverrideFont = 0


# drawLine = False
# # hide_redcolor = True
# hide_redcolor = False
# # hide_legend = True
# hide_legend = False




# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0_shifted_150SP.vts'])
phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0_shifted_300SP.vts'])


phaseDiagram3DGammainfinityvts.PointArrayStatus = ['Type', 'angles', 'curvature']

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')
# uncomment following to set a specific view size
# renderView1.ViewSize = [999, 547]

## ---- Set a specific view size:
renderView1.ViewSize = [1257, 934]

# show data in view
phaseDiagram3DGammainfinityvtsDisplay = Show(phaseDiagram3DGammainfinityvts, renderView1)

### -------------------------------------



# find source
xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')

# create a new 'Transform'
transform1 = Transform(registrationName='Transform1', Input=xMLStructuredGridReader1)
transform1.Transform = 'Transform'

# find source
xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# show data in view
transform1Display = Show(transform1, renderView1, 'StructuredGridRepresentation')

# trace defaults for the display properties.
transform1Display.Representation = 'Outline'
transform1Display.ColorArrayName = ['POINTS', '']
transform1Display.SelectTCoordArray = 'None'
transform1Display.SelectNormalArray = 'None'
transform1Display.SelectTangentArray = 'None'
transform1Display.OSPRayScaleArray = 'Type'
transform1Display.OSPRayScaleFunction = 'PiecewiseFunction'
transform1Display.SelectOrientationVectors = 'None'
transform1Display.ScaleFactor = 2.0
transform1Display.SelectScaleArray = 'Type'
transform1Display.GlyphType = 'Arrow'
transform1Display.GlyphTableIndexArray = 'Type'
transform1Display.GaussianRadius = 0.1
transform1Display.SetScaleArray = ['POINTS', 'Type']
transform1Display.ScaleTransferFunction = 'PiecewiseFunction'
transform1Display.OpacityArray = ['POINTS', 'Type']
transform1Display.OpacityTransferFunction = 'PiecewiseFunction'
transform1Display.DataAxesGrid = 'GridAxesRepresentation'
transform1Display.PolarAxes = 'PolarAxesRepresentation'
transform1Display.ScalarOpacityUnitDistance = 0.1852592630607038

# init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
transform1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
transform1Display.ScaleTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
transform1Display.OpacityTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# hide data in view
Hide(xMLStructuredGridReader1, renderView1)

# update the view to ensure updated data information
renderView1.Update()



# Properties modified on transform1.Transform
transform1.Transform.Scale = [0.05, 0.05, 1.0]

# Properties modified on transform1.Transform
transform1.Transform.Translate = [0.0, 0.0, 0.01]

# update the view to ensure updated data information
renderView1.Update()

# reset view to fit data
renderView1.ResetCamera(True)

# toggle 3D widget visibility (only when running from the GUI)
Hide3DWidgets(proxy=transform1.Transform)

# change representation type
transform1Display.SetRepresentationType('Point Gaussian')

# Properties modified on transform1Display
transform1Display.GaussianRadius =  0.0075


# transform1Display.Opacity = 0.03  #overall Opacity
transform1Display.Opacity = 0.02  #overall Opacity

# Properties modified on transform1Display
transform1Display.ShaderPreset = 'Plain circle'

# set scalar coloring
ColorBy(transform1Display, ('POINTS', 'angles'))

# rescale color and/or opacity maps used to include current data range
transform1Display.RescaleTransferFunctionToDataRange(True, False)

# show color bar/color legend
transform1Display.SetScalarBarVisibility(renderView1, True)

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.RGBPoints = [0.0, 0.001462, 0.000466, 0.013866, 0.006160663193689554, 0.002258, 0.001295, 0.018331, 0.012319755591052443, 0.003279, 0.002305, 0.023708, 0.018480418784742, 0.004512, 0.00349, 0.029965, 0.024639511182104886, 0.00595, 0.004843, 0.03713, 0.03080017437579444, 0.007588, 0.006356, 0.044973, 0.03695926677315698, 0.009426, 0.008022, 0.052844, 0.043119929966846535, 0.011465, 0.009828, 0.06075, 0.04928059316053644, 0.013708, 0.011771, 0.068667, 0.05543968555789898, 0.016156, 0.01384, 0.076603, 0.061600348751588534, 0.018815, 0.016026, 0.084584, 0.06775944114895142, 0.021692, 0.01832, 0.09261, 0.07392010434264097, 0.024792, 0.020715, 0.100676, 0.08007919674000387, 0.028123, 0.023201, 0.108787, 0.08623985993369342, 0.031696, 0.025765, 0.116965, 0.09240052312738298, 0.03552, 0.028397, 0.125209, 0.09855961552474586, 0.039608, 0.03109, 0.133515, 0.10472027871843542, 0.04383, 0.03383, 0.141886, 0.1108793711157983, 0.048062, 0.036607, 0.150327, 0.11704003430948787, 0.05232, 0.039407, 0.158841, 0.1231991267068504, 0.056615, 0.04216, 0.167446, 0.12935978990053995, 0.060949, 0.044794, 0.176129, 0.13552045309422986, 0.06533, 0.047318, 0.184892, 0.1416795454915924, 0.069764, 0.049726, 0.193735, 0.14784020868528194, 0.074257, 0.052017, 0.20266, 0.15399930108264484, 0.078815, 0.054184, 0.211667, 0.1601599642763344, 0.083446, 0.056225, 0.220755, 0.16631905667369729, 0.088155, 0.058133, 0.229922, 0.17247971986738683, 0.092949, 0.059904, 0.239164, 0.17863881226474973, 0.097833, 0.061531, 0.248477, 0.18479947545843928, 0.102815, 0.06301, 0.257854, 0.19096013865212885, 0.107899, 0.064335, 0.267289, 0.19711923104949172, 0.113094, 0.065492, 0.276784, 0.20327989424318127, 0.118405, 0.066479, 0.286321, 0.20943898664054383, 0.123833, 0.067295, 0.295879, 0.21559964983423338, 0.12938, 0.067935, 0.305443, 0.22175874223159628, 0.135053, 0.068391, 0.315, 0.22791940542528583, 0.140858, 0.068654, 0.324538, 0.23408006861897537, 0.146785, 0.068738, 0.334011, 0.24023916101633827, 0.152839, 0.068637, 0.343404, 0.24639982421002782, 0.159018, 0.068354, 0.352688, 0.2525589166073907, 0.165308, 0.067911, 0.361816, 0.25871957980108024, 0.171713, 0.067305, 0.370771, 0.26487867219844313, 0.178212, 0.066576, 0.379497, 0.2710393353921327, 0.184801, 0.065732, 0.387973, 0.2771999985858223, 0.19146, 0.064818, 0.396152, 0.2833590909831848, 0.198177, 0.063862, 0.404009, 0.2895197541768747, 0.204935, 0.062907, 0.411514, 0.29567884657423726, 0.211718, 0.061992, 0.418647, 0.3018395097679268, 0.218512, 0.061158, 0.425392, 0.3079986021652897, 0.225302, 0.060445, 0.431742, 0.31415926535897926, 0.232077, 0.059889, 0.437695, 0.3203199285526688, 0.238826, 0.059517, 0.443256, 0.3264790209500317, 0.245543, 0.059352, 0.448436, 0.33263968414372125, 0.25222, 0.059415, 0.453248, 0.33879877654108415, 0.258857, 0.059706, 0.45771, 0.34495943973477367, 0.265447, 0.060237, 0.46184, 0.35111853213213656, 0.271994, 0.060994, 0.46566, 0.35727919532582614, 0.278493, 0.061978, 0.46919, 0.36343985851951566, 0.284951, 0.063168, 0.472451, 0.36959895091687855, 0.291366, 0.064553, 0.475462, 0.37575961411056813, 0.29774, 0.066117, 0.478243, 0.38191870650793064, 0.304081, 0.067835, 0.480812, 0.3880793697016202, 0.310382, 0.069702, 0.483186, 0.3942384620989831, 0.316654, 0.07169, 0.48538, 0.4003991252926727, 0.322899, 0.073782, 0.487408, 0.4065597884863622, 0.329114, 0.075972, 0.489287, 0.4127188808837251, 0.335308, 0.078236, 0.491024, 0.4188795440774147, 0.341482, 0.080564, 0.492631, 0.4250386364747776, 0.347636, 0.082946, 0.494121, 0.4311992996684671, 0.353773, 0.085373, 0.495501, 0.43735839206582966, 0.359898, 0.087831, 0.496778, 0.44351905525951957, 0.366012, 0.090314, 0.49796, 0.4496797184532091, 0.372116, 0.092816, 0.499053, 0.45583881085057165, 0.378211, 0.095332, 0.500067, 0.46199947404426156, 0.384299, 0.097855, 0.501002, 0.46815856644162407, 0.390384, 0.100379, 0.501864, 0.47431922963531364, 0.396467, 0.102902, 0.502658, 0.48047832203267654, 0.402548, 0.10542, 0.503386, 0.48663898522636606, 0.408629, 0.10793, 0.504052, 0.49279807762372896, 0.414709, 0.110431, 0.504662, 0.49895874081741853, 0.420791, 0.11292, 0.505215, 0.5051194040111081, 0.426877, 0.115395, 0.505714, 0.511278496408471, 0.432967, 0.117855, 0.50616, 0.5174391596021605, 0.439062, 0.120298, 0.506555, 0.5235982519995234, 0.445163, 0.122724, 0.506901, 0.5297589151932129, 0.451271, 0.125132, 0.507198, 0.5359180075905755, 0.457386, 0.127522, 0.507448, 0.5420786707842654, 0.463508, 0.129893, 0.507652, 0.5482393339779547, 0.46964, 0.132245, 0.507809, 0.5543984263753176, 0.47578, 0.134577, 0.507921, 0.560559089569007, 0.481929, 0.136891, 0.507989, 0.5667181819663699, 0.488088, 0.139186, 0.508011, 0.5728788451600595, 0.494258, 0.141462, 0.507988, 0.5790379375574224, 0.500438, 0.143719, 0.50792, 0.585198600751112, 0.506629, 0.145958, 0.507806, 0.5913592639448015, 0.512831, 0.148179, 0.507648, 0.5975183563421644, 0.519045, 0.150383, 0.507443, 0.6036790195358539, 0.52527, 0.152569, 0.507192, 0.6098381119332165, 0.531507, 0.154739, 0.506895, 0.6159987751269064, 0.537755, 0.156894, 0.506551, 0.6221578675242689, 0.544015, 0.159033, 0.506159, 0.6283185307179585, 0.550287, 0.161158, 0.505719, 0.6344791939116484, 0.556571, 0.163269, 0.50523, 0.6406382863090109, 0.562866, 0.165368, 0.504692, 0.6467989495027004, 0.569172, 0.167454, 0.504105, 0.6529580419000633, 0.57549, 0.16953, 0.503466, 0.6591187050937529, 0.581819, 0.171596, 0.502777, 0.6652777974911158, 0.588158, 0.173652, 0.502035, 0.6714384606848054, 0.594508, 0.175701, 0.501241, 0.677599123878495, 0.600868, 0.177743, 0.500394, 0.6837582162758579, 0.607238, 0.179779, 0.499492, 0.6899188794695473, 0.613617, 0.181811, 0.498536, 0.6960779718669102, 0.620005, 0.18384, 0.497524, 0.7022386350605995, 0.626401, 0.185867, 0.496456, 0.7083977274579624, 0.632805, 0.187893, 0.495332, 0.7145583906516519, 0.639216, 0.189921, 0.49415, 0.7207190538453414, 0.645633, 0.191952, 0.49291, 0.7268781462427043, 0.652056, 0.193986, 0.491611, 0.7330388094363939, 0.658483, 0.196027, 0.490253, 0.7391979018337568, 0.664915, 0.198075, 0.488836, 0.7453585650274464, 0.671349, 0.200133, 0.487358, 0.7515176574248092, 0.677786, 0.202203, 0.485819, 0.7576783206184988, 0.684224, 0.204286, 0.484219, 0.7638389838121884, 0.690661, 0.206384, 0.482558, 0.7699980762095512, 0.697098, 0.208501, 0.480835, 0.7761587394032408, 0.703532, 0.210638, 0.479049, 0.7823178318006033, 0.709962, 0.212797, 0.477201, 0.7884784949942932, 0.716387, 0.214982, 0.47529, 0.7946375873916561, 0.722805, 0.217194, 0.473316, 0.8007982505853454, 0.729216, 0.219437, 0.471279, 0.8069573429827082, 0.735616, 0.221713, 0.46918, 0.8131180061763977, 0.742004, 0.224025, 0.467018, 0.8192786693700873, 0.748378, 0.226377, 0.464794, 0.8254377617674502, 0.754737, 0.228772, 0.462509, 0.8315984249611398, 0.761077, 0.231214, 0.460162, 0.8377575173585023, 0.767398, 0.233705, 0.457755, 0.8439181805521923, 0.773695, 0.236249, 0.455289, 0.8500772729495552, 0.779968, 0.238851, 0.452765, 0.8562379361432443, 0.786212, 0.241514, 0.450184, 0.8623985993369342, 0.792427, 0.244242, 0.447543, 0.8685576917342971, 0.798608, 0.24704, 0.444848, 0.8747183549279863, 0.804752, 0.249911, 0.442102, 0.8808774473253492, 0.810855, 0.252861, 0.439305, 0.8870381105190391, 0.816914, 0.255895, 0.436461, 0.8931972029164016, 0.822926, 0.259016, 0.433573, 0.8993578661100912, 0.828886, 0.262229, 0.430644, 0.9055185293037807, 0.834791, 0.26554, 0.427671, 0.9116776217011436, 0.840636, 0.268953, 0.424666, 0.9178382848948332, 0.846416, 0.272473, 0.421631, 0.9239973772921961, 0.852126, 0.276106, 0.418573, 0.9301580404858857, 0.857763, 0.279857, 0.415496, 0.9363171328832481, 0.86332, 0.283729, 0.412403, 0.942477796076938, 0.868793, 0.287728, 0.409303, 0.9486384592706273, 0.874176, 0.291859, 0.406205, 0.9547975516679902, 0.879464, 0.296125, 0.403118, 0.9609582148616801, 0.884651, 0.30053, 0.400047, 0.9671173072590427, 0.889731, 0.305079, 0.397002, 0.9732779704527321, 0.8947, 0.309773, 0.393995, 0.979437062850095, 0.899552, 0.314616, 0.391037, 0.9855977260437846, 0.904281, 0.31961, 0.388137, 0.9917583892374742, 0.908884, 0.324755, 0.385308, 0.9979174816348371, 0.913354, 0.330052, 0.382563, 1.0040781448285265, 0.917689, 0.3355, 0.379915, 1.0102372372258892, 0.921884, 0.341098, 0.377376, 1.0163979004195791, 0.925937, 0.346844, 0.374959, 1.022556992816942, 0.929845, 0.352734, 0.372677, 1.0287176560106313, 0.933606, 0.358764, 0.370541, 1.034878319204321, 0.937221, 0.364929, 0.368567, 1.0410374116016838, 0.940687, 0.371224, 0.366762, 1.047198074795373, 0.944006, 0.377643, 0.365136, 1.053357167192736, 0.94718, 0.384178, 0.363701, 1.0595178303864259, 0.95021, 0.39082, 0.362468, 1.0656769227837886, 0.953099, 0.397563, 0.361438, 1.071837585977478, 0.955849, 0.4044, 0.360619, 1.0779982491711675, 0.958464, 0.411324, 0.360014, 1.0841573415685304, 0.960949, 0.418323, 0.35963, 1.09031800476222, 0.96331, 0.42539, 0.359469, 1.096477097159583, 0.965549, 0.432519, 0.359529, 1.1026377603532722, 0.967671, 0.439703, 0.35981, 1.108796852750635, 0.96968, 0.446936, 0.360311, 1.114957515944325, 0.971582, 0.45421, 0.36103, 1.121116608341688, 0.973381, 0.46152, 0.361965, 1.127277271535377, 0.975082, 0.468861, 0.363111, 1.1334379347290668, 0.97669, 0.476226, 0.364466, 1.1395970271264295, 0.97821, 0.483612, 0.366025, 1.145757690320119, 0.979645, 0.491014, 0.367783, 1.1519167827174819, 0.981, 0.498428, 0.369734, 1.1580774459111713, 0.982279, 0.505851, 0.371874, 1.164236538308534, 0.983485, 0.51328, 0.374198, 1.170397201502224, 0.984622, 0.520713, 0.376698, 1.1765578646959134, 0.985693, 0.528148, 0.379371, 1.182716957093276, 0.9867, 0.535582, 0.38221, 1.188877620286966, 0.987646, 0.543015, 0.38521, 1.1950367126843289, 0.988533, 0.550446, 0.388365, 1.201197375878018, 0.989363, 0.557873, 0.391671, 1.2073564682753808, 0.990138, 0.565296, 0.395122, 1.2135171314690707, 0.990871, 0.572706, 0.398714, 1.21967779466276, 0.991558, 0.580107, 0.402441, 1.2258368870601228, 0.992196, 0.587502, 0.406299, 1.2319975502538125, 0.992785, 0.594891, 0.410283, 1.2381566426511754, 0.993326, 0.602275, 0.41439, 1.2443173058448649, 0.993834, 0.609644, 0.418613, 1.2504763982422278, 0.994309, 0.616999, 0.42295, 1.2566370614359172, 0.994738, 0.62435, 0.427397, 1.262797724629607, 0.995122, 0.631696, 0.431951, 1.2689568170269698, 0.99548, 0.639027, 0.436607, 1.275117480220659, 0.99581, 0.646344, 0.441361, 1.2812765726180217, 0.996096, 0.653659, 0.446213, 1.2874372358117117, 0.996341, 0.660969, 0.45116, 1.2935963282090743, 0.99658, 0.668256, 0.456192, 1.2997569914027638, 0.996775, 0.675541, 0.461314, 1.3059176545964537, 0.996925, 0.682828, 0.466526, 1.3120767469938164, 0.997077, 0.690088, 0.471811, 1.3182374101875058, 0.997186, 0.697349, 0.477182, 1.3243965025848687, 0.997254, 0.704611, 0.482635, 1.3305571657785582, 0.997325, 0.711848, 0.488154, 1.3367162581759209, 0.997351, 0.719089, 0.493755, 1.3428769213696108, 0.997351, 0.726324, 0.499428, 1.3490375845633003, 0.997341, 0.733545, 0.505167, 1.355196676960663, 0.997285, 0.740772, 0.510983, 1.3613573401543528, 0.997228, 0.747981, 0.516859, 1.3675164325517157, 0.997138, 0.75519, 0.522806, 1.3736770957454048, 0.997019, 0.762398, 0.528821, 1.3798361881427677, 0.996898, 0.769591, 0.534892, 1.3859968513364576, 0.996727, 0.776795, 0.541039, 1.3921575145301468, 0.996571, 0.783977, 0.547233, 1.3983166069275097, 0.996369, 0.791167, 0.553499, 1.4044772701211992, 0.996162, 0.798348, 0.55982, 1.410636362518562, 0.995932, 0.805527, 0.566202, 1.4167970257122517, 0.99568, 0.812706, 0.572645, 1.4229561181096146, 0.995424, 0.819875, 0.57914, 1.4291167813033039, 0.995131, 0.827052, 0.585701, 1.4352758737006668, 0.994851, 0.834213, 0.592307, 1.4414365368943567, 0.994524, 0.841387, 0.598983, 1.4475972000880457, 0.994222, 0.84854, 0.605696, 1.4537562924854086, 0.993866, 0.855711, 0.612482, 1.4599169556790985, 0.993545, 0.862859, 0.619299, 1.4660760480764612, 0.99317, 0.870024, 0.626189, 1.4722367112701507, 0.992831, 0.877168, 0.633109, 1.4783958036675136, 0.99244, 0.88433, 0.640099, 1.4845564668612032, 0.992089, 0.89147, 0.647116, 1.4907171300548927, 0.991688, 0.898627, 0.654202, 1.4968762224522556, 0.991332, 0.905763, 0.661309, 1.503036885645945, 0.99093, 0.912915, 0.668481, 1.5091959780433077, 0.99057, 0.920049, 0.675675, 1.5153566412369976, 0.990175, 0.927196, 0.682926, 1.5215157336343605, 0.989815, 0.934329, 0.690198, 1.5276763968280496, 0.989434, 0.94147, 0.697519, 1.5338370600217395, 0.989077, 0.948604, 0.704863, 1.5399961524191024, 0.988717, 0.955742, 0.712242, 1.5461568156127916, 0.988367, 0.962878, 0.719649, 1.5523159080101545, 0.988033, 0.970012, 0.727077, 1.5584765712038442, 0.987691, 0.977154, 0.734536, 1.564635663601207, 0.987387, 0.984288, 0.742002, 1.5707963267948966, 0.987053, 0.991438, 0.749504]
anglesLUT.ColorSpace = 'RGB'
anglesLUT.NanColor = [0.0, 1.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1




#### COLOR

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.2052651084495876, 1.0, 0.043137254901960784, 0.5529411764705883, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.NanColor = [0.0, 1.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0

# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
anglesLUT.ApplyPreset('Preset 6', True)

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 0.8602941036224365, 0.5, 0.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1

# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
anglesPWF.ApplyPreset('Preset 6', True)

# Properties modified on anglesLUT
anglesLUT.EnableOpacityMapping = 1

# Properties modified on anglesPWF
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.0625, 0.5, 0.0]



# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.12549, 0.0, 0.380392, 0.03926990816987245, 0.113725, 0.0235294, 0.45098, 0.0785398163397449, 0.105882, 0.0509804, 0.509804, 0.11780972450961717, 0.0392157, 0.0392157, 0.560784, 0.15707963267948963, 0.0313725, 0.0980392, 0.6, 0.19634954084936207, 0.0431373, 0.164706, 0.639216, 0.2356194490192345, 0.054902, 0.243137, 0.678431, 0.27488935718910695, 0.054902, 0.317647, 0.709804, 0.31415926535897926, 0.0509804, 0.396078, 0.741176, 0.35342917352885167, 0.0392157, 0.466667, 0.768627, 0.39269908169872414, 0.0313725, 0.537255, 0.788235, 0.450920647551377, 0.0313725, 0.615686, 0.811765, 0.5001541168221094, 0.0235294, 0.709804, 0.831373, 0.5470439579732639, 0.0509804, 0.8, 0.85098, 0.581428689566804, 0.0705882, 0.854902, 0.870588, 0.618940876646993, 0.262745, 0.901961, 0.862745, 0.6478560954306335, 0.423529, 0.941176, 0.87451, 0.6845860259400787, 0.572549, 0.964706, 0.835294, 0.7119383023785582, 0.658824, 0.980392, 0.843137, 0.7361646941267158, 0.764706, 0.980392, 0.866667, 0.7596088293041297, 0.827451, 0.980392, 0.886275, 0.7838273670706534, 0.913725, 0.988235, 0.937255, 0.7853981633974483, 1.0, 1.0, 1.0, 0.7869689597242432, 0.988235, 0.980392, 0.870588, 0.8111874974907669, 0.992157, 0.964706, 0.713725, 0.8322880045486029, 0.988235, 0.956863, 0.643137, 0.8729260763191136, 0.980392, 0.917647, 0.509804, 0.9127818915188803, 0.968627, 0.87451, 0.407843, 0.9495118220283256, 0.94902, 0.823529, 0.321569, 0.9817477042468103, 0.929412, 0.776471, 0.278431, 1.0210176124166828, 0.909804, 0.717647, 0.235294, 1.0602875205865552, 0.890196, 0.658824, 0.196078, 1.0995574287564276, 0.878431, 0.619608, 0.168627, 1.1388273369263, 0.870588, 0.54902, 0.156863, 1.1780972450961724, 0.85098, 0.47451, 0.145098, 1.2173671532660448, 0.831373, 0.411765, 0.133333, 1.2566370614359172, 0.811765, 0.345098, 0.113725, 1.2959069696057897, 0.788235, 0.266667, 0.0941176, 1.335176877775662, 0.741176, 0.184314, 0.0745098, 1.3744467859455345, 0.690196, 0.12549, 0.0627451, 1.413716694115407, 0.619608, 0.0627451, 0.0431373, 1.4571852684020996, 0.4, 0.00392157, 0.101961, 1.5707963267948966, 0.8313725490196079, 0.0, 0.0392156862745098]
anglesLUT.ColorSpace = 'Lab'
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]



# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 0.10294117778539658, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1


# Properties modified on anglesPWF
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.07352941483259201, 0.5, 0.0]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 0.9888578653335571, 1.0, 0.996078431372549, 0.9921568627450981, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 0.9888578653335571, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]

# Properties modified on anglesLUT
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]




###
# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.07352941483259201, 0.5, 0.0]
anglesPWF.ScalarRangeInitialized = 1

# Properties modified on anglesPWF
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.065, 0.5, 0.0]


## OPACITY :
anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.10, 0.5, 0.0]

# ----------------- LEGEND -----------------
# get color legend/bar for anglesLUT in view renderView1
# anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
#
# # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.WindowLocation = 'LowerRightCorner'
# anglesLUTColorBar.HorizontalTitle = 1
# anglesLUTColorBar.Title = 'angle $\\alpha$'   #'angle $\\angle$'
# anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
# anglesLUTColorBar.TitleJustification = 'Left'
# # anglesLUTColorBar.TitleJustification = 'Centered'
#
# # show color bar/color legend
# # transform1Display.SetScalarBarVisibility(renderView1, True)
#
# # # # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.AutomaticAnnotations = 0
# anglesLUTColorBar.AddRangeLabels = 0
# anglesLUTColorBar.DrawTickMarks = 0
# anglesLUTColorBar.DrawTickLabels = 0
# anglesLUTColorBar.TitleFontSize = 24
# anglesLUTColorBar.LabelFontSize = 20
# # anglesLUTColorBar.AddRangeAnnotations = 1
#
# ## -- Add Annotations :
# anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
# anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
# anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0, 1.0]
#



###########################################
# Properties modified on anglesLUT
# anglesLUT.EnableOpacityMapping = 0
# anglesLUT.EnableOpacityMapping = 1
#
## ---- AXES GRID PROPERTIES -----
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.Visibility = 1
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XTitle = '  $\\theta_\\rho$  '
renderView1.AxesGrid.YTitle = '  $\\theta_\\mu$  '
renderView1.AxesGrid.ZTitle = '  $\\theta$   '
# renderView1.AxesGrid.XTitleFontSize = 45  #24
# renderView1.AxesGrid.YTitleFontSize = 45
# renderView1.AxesGrid.ZTitleFontSize = 45
# renderView1.AxesGrid.XLabelFontSize = 30  #default:12
# renderView1.AxesGrid.YLabelFontSize = 30
# renderView1.AxesGrid.ZLabelFontSize = 30
renderView1.AxesGrid.XTitleFontSize = 60  #24
renderView1.AxesGrid.YTitleFontSize = 60
renderView1.AxesGrid.ZTitleFontSize = 60

renderView1.AxesGrid.XLabelFontSize = 45  #default:12
renderView1.AxesGrid.YLabelFontSize = 45
renderView1.AxesGrid.ZLabelFontSize = 45
# ---- Switch of/on OrientationAXES:
# renderView1.OrientationAxesVisibility = 1
renderView1.OrientationAxesVisibility = 0

# ---- Switch Grid On/Off:
renderView1.AxesGrid.ShowGrid = 1

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.Visibility = 1


## SCALE AXIS
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.DataScale = [0.05, 0.05, 1.0]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XAxisUseCustomLabels = 1
renderView1.AxesGrid.XAxisLabels = [-5.0, 0.0, 5.0, 10.0, 15.0]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.YAxisUseCustomLabels = 1
renderView1.AxesGrid.YAxisLabels = [1.0, 5.0, 10.0, 15.0, 20]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.ZAxisUseCustomLabels = 1
# renderView1.AxesGrid.ZAxisLabels = [0.1, 0.2, 0.3, 0.4, 0.5,0.6,0.7 ,0.8,0.9, 1.0]
renderView1.AxesGrid.ZAxisLabels = [0.25, 0.5, 0.75, 1.0]

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.ZAxisNotation = 'Fixed'


# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XAxisPrecision = 1
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.YAxisPrecision = 1
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.ZAxisPrecision = 1



# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.AxesToLabel = 31

# # Properties modified on renderView1.AxesGrid
# renderView1.AxesGrid.UseCustomBounds = 1
#
# # Properties modified on renderView1.AxesGrid
# renderView1.AxesGrid.UseCustomBounds = 0




############### DATA AXIS GRID ##################
# Properties modified on transform1Display.DataAxesGrid
# transform1Display.DataAxesGrid.GridAxesVisibility = 1
#
# # get opacity transfer function/opacity map for 'angles'
# anglesPWF = GetOpacityTransferFunction('angles')
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.4445649345539659, 1.0, 0.5, 0.0, 0.7310624366906182, 1.0, 0.5, 0.0, 0.9879222016222671, 1.0, 0.5, 0.0, 1.254661087453241, 0.9926470518112183, 0.5, 0.0, 1.5707963267948966, 0.065, 0.5, 0.0]
# anglesPWF.AllowDuplicateScalars = 1
# anglesPWF.UseLogScale = 0
# anglesPWF.ScalarRangeInitialized = 1
#
# # Properties modified on transform1Display.DataAxesGrid
# transform1Display.DataAxesGrid.XTitle = '$\\theta_\\rho$'
# transform1Display.DataAxesGrid.YTitle = '$\\theta_\\mu$'
# transform1Display.DataAxesGrid.ZTitle = '$\\theta$'
# # renderView1.AxesGrid.XTitle = '  $\\theta_\\rho$  '
# # renderView1.AxesGrid.YTitle = '  $\\theta_\\mu$  '
# # renderView1.AxesGrid.ZTitle = '  $\\theta$   '
# transform1Display.DataAxesGrid.XTitleFontFamily = 'Times'
# transform1Display.DataAxesGrid.YTitleFontFamily = 'Times'
# transform1Display.DataAxesGrid.ZTitleFontFamily = 'Times'
# transform1Display.DataAxesGrid.XTitleFontSize = 45
# transform1Display.DataAxesGrid.YTitleFontSize = 45
# transform1Display.DataAxesGrid.ZTitleFontSize = 45
# transform1Display.DataAxesGrid.FacesToRender = 7
# transform1Display.DataAxesGrid.ShowGrid = 1
#
#


# CHANGE GRID COLOR :
# Properties modified on renderView1.AxesGrid
# renderView1.AxesGrid.FacesToRender = 60


#### ------ LEGEND

# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
# anglesLUTColorBar.AutoOrient = 1
# anglesLUTColorBar.Orientation = 'Vertical'
# anglesLUTColorBar.WindowLocation = 'Lower Right Corner'
# anglesLUTColorBar.Position = [0.89, 0.02]
# anglesLUTColorBar.Title = 'angles'
# anglesLUTColorBar.ComponentTitle = ''
# anglesLUTColorBar.TitleJustification = 'Centered'
# anglesLUTColorBar.HorizontalTitle = 0
# anglesLUTColorBar.TitleOpacity = 1.0
# anglesLUTColorBar.TitleFontFamily = 'Arial'
# anglesLUTColorBar.TitleFontFile = ''
# anglesLUTColorBar.TitleBold = 0
# anglesLUTColorBar.TitleItalic = 0
# anglesLUTColorBar.TitleShadow = 0
# anglesLUTColorBar.TitleFontSize = 16
# anglesLUTColorBar.LabelOpacity = 1.0
# anglesLUTColorBar.LabelFontFamily = 'Arial'
# anglesLUTColorBar.LabelFontFile = ''
# anglesLUTColorBar.LabelBold = 0
# anglesLUTColorBar.LabelItalic = 0
# anglesLUTColorBar.LabelShadow = 0
# anglesLUTColorBar.LabelFontSize = 16
# anglesLUTColorBar.AutomaticLabelFormat = 1
# anglesLUTColorBar.LabelFormat = '%-#6.3g'
# anglesLUTColorBar.DrawTickMarks = 1
# anglesLUTColorBar.DrawTickLabels = 1
# anglesLUTColorBar.UseCustomLabels = 0
# anglesLUTColorBar.CustomLabels = []
# anglesLUTColorBar.AddRangeLabels = 1
# anglesLUTColorBar.RangeLabelFormat = '%-#6.1e'
# anglesLUTColorBar.DrawAnnotations = 1
# anglesLUTColorBar.AddRangeAnnotations = 0
# anglesLUTColorBar.AutomaticAnnotations = 0
# anglesLUTColorBar.DrawNanAnnotation = 0
# anglesLUTColorBar.NanAnnotation = 'NaN'
# anglesLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'
# anglesLUTColorBar.ReverseLegend = 0
# anglesLUTColorBar.ScalarBarThickness = 16
# anglesLUTColorBar.ScalarBarLength = 0.33
#
# # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.HorizontalTitle = 1
# anglesLUTColorBar.TitleFontSize = 20
# anglesLUTColorBar.ScalarBarThickness = 20
# anglesLUTColorBar.ScalarBarLength = 0.7
#

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
anglesLUT.InterpretValuesAsCategories = 0
anglesLUT.AnnotationsInitialized = 0
anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
anglesLUT.RescaleOnVisibilityChange = 0
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.0, 0.0, 1.0, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.0, 0.785929, 0.247056, 0.295477, 0.0, 0.17254901960784313, 0.043137254901960784, 0.9215686274509803, 0.266739073084488, 0.41568627450980394, 0.00392156862745098, 0.9686274509803922, 0.4198669450521392, 0.48627450980392156, 0.0, 0.9725490196078431, 0.7755188552446091, 1.0, 0.058823529411764705, 0.984313725490196, 1.0413635969161987, 1.0, 0.0392156862745098, 0.47058823529411764, 1.2052651084495876, 1.0, 0.0196078431372549, 0.14901960784313725, 1.5707963267948966, 1.0, 0.0, 0.01568627450980392]
anglesLUT.UseLogScale = 0
anglesLUT.UseOpacityControlPointsFreehandDrawing = 0
anglesLUT.ShowDataHistogram = 0
anglesLUT.AutomaticDataHistogramComputation = 0
anglesLUT.DataHistogramNumberOfBins = 10
anglesLUT.ColorSpace = 'Lab'
anglesLUT.UseBelowRangeColor = 0
anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
anglesLUT.UseAboveRangeColor = 0
anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
anglesLUT.NanColor = [0.250004, 0.0, 0.0]
anglesLUT.NanOpacity = 1.0
anglesLUT.Discretize = 1
anglesLUT.NumberOfTableValues = 256
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.HSVWrap = 0
anglesLUT.VectorComponent = 0
anglesLUT.VectorMode = 'Magnitude'
anglesLUT.AllowDuplicateScalars = 1
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.ActiveAnnotatedValues = []
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')

# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
anglesLUTColorBar.AutoOrient = 1
anglesLUTColorBar.Orientation = 'Vertical'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'
anglesLUTColorBar.Position = [0.89, 0.02]
anglesLUTColorBar.Title = 'angles'
anglesLUTColorBar.ComponentTitle = ''
anglesLUTColorBar.TitleJustification = 'Centered'
anglesLUTColorBar.HorizontalTitle = 1
anglesLUTColorBar.TitleOpacity = 1.0
anglesLUTColorBar.TitleFontFamily = 'Arial'
anglesLUTColorBar.TitleFontFile = ''
anglesLUTColorBar.TitleBold = 0
anglesLUTColorBar.TitleItalic = 0
anglesLUTColorBar.TitleShadow = 0
anglesLUTColorBar.TitleFontSize = 20
anglesLUTColorBar.LabelOpacity = 1.0
anglesLUTColorBar.LabelFontFamily = 'Arial'
anglesLUTColorBar.LabelFontFile = ''
anglesLUTColorBar.LabelBold = 0
anglesLUTColorBar.LabelItalic = 0
anglesLUTColorBar.LabelShadow = 0
anglesLUTColorBar.LabelFontSize = 16
anglesLUTColorBar.AutomaticLabelFormat = 1
anglesLUTColorBar.LabelFormat = '%-#6.3g'
anglesLUTColorBar.DrawTickMarks = 1
anglesLUTColorBar.DrawTickLabels = 1
anglesLUTColorBar.UseCustomLabels = 0
anglesLUTColorBar.CustomLabels = []
anglesLUTColorBar.AddRangeLabels = 1
anglesLUTColorBar.RangeLabelFormat = '%-#6.1e'
anglesLUTColorBar.DrawAnnotations = 1
anglesLUTColorBar.AddRangeAnnotations = 0
anglesLUTColorBar.AutomaticAnnotations = 0
anglesLUTColorBar.DrawNanAnnotation = 0
anglesLUTColorBar.NanAnnotation = 'NaN'
anglesLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'
anglesLUTColorBar.ReverseLegend = 0
anglesLUTColorBar.ScalarBarThickness = 20
anglesLUTColorBar.ScalarBarLength = 0.5

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.DrawTickMarks = 0
anglesLUTColorBar.DrawTickLabels = 0
anglesLUTColorBar.AddRangeLabels = 0

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.Title = '$\\alpha$'

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TitleFontFamily = 'Times'

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TitleFontSize = 30

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.LabelFontSize = 25



#horizontal BAR:
# Properties modified on anglesLUTColorBar
anglesLUTColorBar.AutoOrient = 1
# anglesLUTColorBar.Orientation = 'Horizontal'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'



# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)
anglesLUTColorBar.AutoOrient = 0
anglesLUTColorBar.Orientation = 'Vertical'
anglesLUTColorBar.WindowLocation = 'Lower Right Corner'
anglesLUTColorBar.Position = [0.89, 0.02]
anglesLUTColorBar.Title = '$\\alpha$ '
anglesLUTColorBar.ComponentTitle = ''
anglesLUTColorBar.TitleJustification = 'Centered'
anglesLUTColorBar.HorizontalTitle = 1
anglesLUTColorBar.TitleOpacity = 1.0
anglesLUTColorBar.TitleFontFamily = 'Times'
anglesLUTColorBar.TitleFontFile = ''
anglesLUTColorBar.TitleBold = 0
anglesLUTColorBar.TitleItalic = 0
anglesLUTColorBar.TitleShadow = 0
anglesLUTColorBar.TitleFontSize = 24
anglesLUTColorBar.LabelOpacity = 1.0
anglesLUTColorBar.LabelFontFamily = 'Times'
anglesLUTColorBar.LabelFontFile = ''
anglesLUTColorBar.LabelBold = 0
anglesLUTColorBar.LabelItalic = 0
anglesLUTColorBar.LabelShadow = 0
anglesLUTColorBar.LabelFontSize = 19
anglesLUTColorBar.AutomaticLabelFormat = 1
anglesLUTColorBar.LabelFormat = '%-#6.3g'
anglesLUTColorBar.DrawTickMarks = 0
anglesLUTColorBar.DrawTickLabels = 0
anglesLUTColorBar.UseCustomLabels = 0
anglesLUTColorBar.CustomLabels = []
anglesLUTColorBar.AddRangeLabels = 0
anglesLUTColorBar.RangeLabelFormat = '%-#6.1e'
anglesLUTColorBar.DrawAnnotations = 1
anglesLUTColorBar.AddRangeAnnotations = 0
anglesLUTColorBar.AutomaticAnnotations = 0
anglesLUTColorBar.DrawNanAnnotation = 0
anglesLUTColorBar.NanAnnotation = 'NaN'
anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
anglesLUTColorBar.ReverseLegend = 0
anglesLUTColorBar.ScalarBarThickness = 20
anglesLUTColorBar.ScalarBarLength = 0.5

# # Properties modified on anglesLUTColorBar
# anglesLUTColorBar.TextPosition = 'Ticks right/top, annotations left/bottom'

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'

# Properties modified on anglesLUTColorBar
# Properties modified on anglesLUTColorBar
anglesLUTColorBar.TitleOpacity = 0.9

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.LabelColor = [0.0, 0.0, 0.0]

## TURN OF legend

# get display properties
transform1Display = GetDisplayProperties(transform1, view=renderView1)

# hide color bar/color legend
transform1Display.SetScalarBarVisibility(renderView1, False)

#================================================================
# addendum: following script captures some of the application
# state to faithfully reproduce the visualization during playback
#================================================================




# get layout
layout1 = GetLayout()


#--------------------------------
# saving layout sizes for layouts

# layout/tab size in pixels
layout1.SetSize(890, 532)

#-----------------------------------
# saving camera placements for views

# current camera placement for renderView1
renderView1.CameraPosition = [2.011789351967371, 3.0415959513116824, 1.6179658760786457]
renderView1.CameraFocalPoint = [0.25, 0.5255000000000001, 0.5]
renderView1.CameraViewUp = [-0.19617469496901113, -0.28016649959323553, 0.9396926207859085]
renderView1.CameraViewAngle = 30.701754385964914
renderView1.CameraParallelScale = 0.8460053191322144





### ---------------------------------------

# update the view to ensure updated data information
renderView1.Update()


# ----------------- EXPORT -----------------
SaveScreenshot('/home/klaus/Desktop/3DPhaseDiagramPlot_Gamma0.png', renderView1, ImageResolution=[2126, 1314],OverrideColorPalette='WhiteBackground')
